org.deidentifier.arx.gui.model

## Class ModelAnonymizationConfiguration

- java.lang.Object
- - org.deidentifier.arx.gui.model.ModelAnonymizationConfiguration

All Implemented Interfaces:
  java.io.Serializable

    public class ModelAnonymizationConfiguration
    extends java.lang.Object
    implements java.io.Serializable

Anonymization configuration

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `ModelAnonymizationConfiguration.SearchType` Search type
`static class` `ModelAnonymizationConfiguration.TransformationType` Transformation type

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getHeuristicSearchStepLimit()` Search step limit for SearchType.STEP_LIMIT
`double` `getHeuristicSearchTimeLimit()` Search time limit for SearchType.TIME_LIMIT
`int` `getNumIterations()` Number of iterations for TransformationType.LOCAL
`ModelAnonymizationConfiguration.SearchType` `getSearchType()` Returns the search type
`ModelAnonymizationConfiguration.TransformationType` `getTransformationType()` Returns the transformation type
`void` `setHeuristicSearchStepLimit(int heuristicSearchStepLimit)`
`void` `setHeuristicSearchTimeLimit(double heuristicSearchTimeLimit)`
`void` `setNumIterations(int numIterations)`
`void` `setSearchType(ModelAnonymizationConfiguration.SearchType searchType)`
`void` `setTransformationType(ModelAnonymizationConfiguration.TransformationType transformationType)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getHeuristicSearchStepLimit

    public int getHeuristicSearchStepLimit()

Search step limit for SearchType.STEP_LIMIT

Returns:
  the heuristicSearchStepLimit

#### getHeuristicSearchTimeLimit

    public double getHeuristicSearchTimeLimit()

Search time limit for SearchType.TIME_LIMIT

Returns:
  the heuristicSearchTimeLimit

#### getNumIterations

    public int getNumIterations()

Number of iterations for TransformationType.LOCAL

Returns:
  the numIterations

#### getSearchType

    public ModelAnonymizationConfiguration.SearchType getSearchType()

Returns the search type

Returns:
  the searchType

#### getTransformationType

    public ModelAnonymizationConfiguration.TransformationType getTransformationType()

Returns the transformation type

Returns:
  the transformationType

#### setHeuristicSearchStepLimit

    public void setHeuristicSearchStepLimit(int heuristicSearchStepLimit)

Parameters:
  `heuristicSearchStepLimit` - the heuristicSearchStepLimit to set

#### setHeuristicSearchTimeLimit

    public void setHeuristicSearchTimeLimit(double heuristicSearchTimeLimit)

Parameters:
  `heuristicSearchTimeLimit` - the heuristicSearchTimeLimit to set

#### setNumIterations

    public void setNumIterations(int numIterations)

Parameters:
  `numIterations` - the numIterations to set

#### setSearchType

    public void setSearchType(ModelAnonymizationConfiguration.SearchType searchType)

Parameters:
  `searchType` - the searchType to set

#### setTransformationType

    public void setTransformationType(ModelAnonymizationConfiguration.TransformationType transformationType)

Parameters:
  `transformationType` - the transformationType to set